Civil 3D - Tutoriais - 3.01 - Point Styles

2 milhões de comentários
Esses dias me pediram como fazer as "cruzetas" da UTM no civil 3d... Bem, podemos usar os COGO POINT para fazer isso, porque não?

Basta criar um estilo que represente a cruz como queremos, inserir um ponto no desenho, sem Z mesmo e fazer um ARRAY dele...

Por exemplo, crie um POINT STYLE que tenha a cruz, clique em:
Toolspace/Settings/Points/Point Styles
botão direito do mouse sobre item "Point Styles":


Se abre esta tela:

Clique a cruz somente, veja o preview... se ficar como nesta imagem, pode clicar a aba Information e dar o nomede CRUZ e depois pode clicar OK.

Agora, clique para criar um "Point Label Style" (um pouco abaixo de onde você clicou para criar o estilo do ponto):

Na aba Layout, você verá que são criados 3 componentes de texto:

Não vamos usar nenhum deles, então pode clicar o botão com um "X" vermelho para apagar os três

Em seguida, clique o botão com Um "A" (se parar o mouse em cima dele, aparece "Create Text Component"

Nele coloque estas propriedades::
General
 Name Norte
 Visibility True
 Anchor Component 
 Anchor Point Middle Left

Text
 Contents N=<[Northing(Um|P0|RN|AP|GC|UN|Sn|OF)]>
 Text Height 2.00mm
 Rotation Angle 000.0000 (d)
 Attachment Middle left
 X Offset 5.00mm
 Y Offset 0.00mm
 Color BYLAYER
 Lineweight ByLayer

Border
 Visibility False
 Type Rectangular
 Background Mask False
 Gap 0.75mm
 Color BYLAYER
 Linetype ByBlock
 Lineweight ByLayer

O mais importante é o "Contents" (para editar ele, clique a linha dele e nela aparecerá um botão com três pontinhos, clique-o). Se você leu o tutorial 1.01 talvez esteja trabalhando com coordenadas locais e em vem do contents ser
N=<[Northing(Um|P0|RN|AP|GC|UN|Sn|OF)]>
será
N=<[Grid Northing(Um|P0|RN|AP|GC|UN|Sn|OF)]>

Note que há uma diferença sutil em qual propriedade queremos...
Se não leu o tutorial que eu falei, deixe a primeira opção


Depois, clique o botão "Create Text Component" outra vez (Aquele do "A"...)
nele coloque as seguintes propriedades:
General
 Name Leste
 Visibility True
 Anchor Component 
 Anchor Point Top Center

Text
 Contents E=<[Easting(Um|P0|RN|AP|GC|UN|Sn|OF)]>
 Text Height 2.00mm
 Rotation Angle 090.0000 (d)
 Attachment Middle center
 X Offset 0.00mm
 Y Offset 5.00mm
 Color BYLAYER
 Lineweight ByLayer

Border
 Visibility False
 Type Rectangular
 Background Mask False
 Gap 0.75mm
 Color BYLAYER
 Linetype ByBlock
 Lineweight ByLayer

note que trocou o Contents, O Offset (x, y), "os anchor point" e arotação
Simples, não?

Ah, ao editar o Contents, você notará que para sair o texto
E=<[Easting(Um|P0|RN|AP|GC|UN|Sn|OF)]>

a tela precisa estar assim:

Vou deixar você descobrir porque destaquei com uma seta azul o botão...

Por fim, clique todos os OK que precisar....

vá até o Prospector....
(continua)

NotaServ - Atualizacao

3 milhões de comentários
Mais uma atualização no NotaServ, agora ele também pode exportar as coordenadas X e Y dos pontos do Corredor (util para descarregar direto pra estação), voce também pode definir o "metro" inicial e final do alinhamento, pode reordenar as colunas da tabela antes de exportar ou desenhar.... bom, teste!!!!ficou bem legal!!! se tiver alguma sugestão, me mande um email!!!

download

Point Groups e Estilos

0 milhões de comentários
Sabe aquelas horas na pressa que você precisa colocar todos os pontos em seus devidos point groups, para entao cria os devidos point styles e descobre que tem um milhão de descrições diferentes pra fazer?

É, eu passei por isso agora.... peguei um desenho com montes de descriacções, que não batem com as minhas, claro, e tive de fazer isso...

no segundo eu já desisti e escrevi um programinha pra fazer, esta ai:
mais...
;funcao que devolve um item da colecao, cria se necessario
;byref_is_new é passado por referencia, diz se é novo
(defun get_or_create (collection name byref_is_new / obj)
  (
if (vl-catch-all-error-p
    (setq obj (vl-catch-all-apply 'vla-item (list collection name)))
      )
    (
progn (setq obj (vla-add collection name))
       (
set byref_is_new t)
    )
    (
set byref_is_new nil)
  )

  obj
)

;funcao principal
;escaneia os pontos do desenho e cria point groups com estilos
;para cada descricao de pontodiferente
;autor: neyton luiz dalle molle
;http://tbn2.blogspot.com
;requer inivars.lsp

(defun c:pgforall (/ p desc QueryBuilder pointstyle pointgroup novo)
  ;inicializa o controle de erros
  (tbn:error-init nil)
  ;em todos os pontos do desenho faça
  (vlax-for p (cvlp-get-points aec-adoc)
    (
setq desc (cvlp-get-rawdescription p))
    ;se adescricao esta setada, faça
    (if    (/= desc "")
      (
progn
    ;verifica se existe o pointgroup com este nome
    (setq pointgroup
           (GET_OR_CREATE
         (cvlp-get-pointgroups aec-adoc)
         desc
         'novo))
    ;se for criado um novo, entao
    (if novo
      (progn
        ;constroi o filtro e o estilo
        (setq QueryBuilder (cvlp-get-QueryBuilder pointgroup)
          pointstyle   (GET_OR_CREATE
                 (cvlp-get-pointstyles aec-adoc)
                 desc
                 'novo ))
        ;define as propriedades do novo pointgroup
        

        (cvlp-put-IncludeRawDescriptions QueryBuilder desc)
        (
cvlp-put-pointstyle pointgroup pointstyle)
        (
cvlp-put-MarkerSize pointstyle 0.0003)
        
        (
prompt (strcat "\n" desc))
      )
    )
      )
    )
  )

  ;finaliza ocontrole de erros
  (tbn:error-restore)  
)


Link(s) da(s) subrotina(s) usada(s):
get_or_create, tbn:error-init, aec-adoc, GET_OR_CREATE, tbn:error-restore

pra usar é o de sempre, baixar as lisps extras, colocar tudo num arquivo só e carregar com o APPLOAD

ao usar o comando, ele simplesmente escaneia as descrições dos pontos do civil 3d e vai criando estilos e grupos para cada descrição diferente. no final cada point group tera um estilo e seus pontos filtrados!!!

Desabafo

5 milhões de comentários
Bem, bem, já tem uns 3 anos que estou trabalhando com o civil 3d e nesse tempo recebi em média um pedido por semana de como fazer notas de serviço...

Pode não parecer, mas eu faço projeto também!!! hehehehe!!!!

De uma vez por todas, aquilo que o topograph e o posição fazem, o civil 3d pode fazer também!!! e olha que eu não estou defendendo ninguém não!!! os problemas no mundo da informática se resumem a 3 apenas: SOFTWARE, HARDWARE e PEOPLEWARE.

Explicando:
Software, é quando o programa dá pau por ter bugs
Hardware, é quando o pc dá pau por ter componentes de má qualidade; na verdade aqui poderíamos nos extender mais, mas em fim, não é o caso
Peopleware, quando o problema está naquela pecinha que fica atraz do teclado.... é!!!! hehehe você digníssimo usuário!!!

E adivinha onde está a maioria dos problemas!!!! no peopleware!!! gente, a tecla F1 não dá choque!!! pode apertar para você ver!!!

Se você, como eu, acha o help do civil 3d uma zona, ainda resta o google!!!
existem milhares de sites interessantes com dicas e tudo mais!!!

Então, pense bem antes de comodamente perguntar como faz isso ou aquilo, a resposta pode estar na sua frente!!!

Pessoal, esse é um desabafo, mas me senti na obrigação de fazê-lo, porque eu recebo um monte de pedidos esdrúxulos nos meus emails, pedindo por exemplo, como fazer nota de serviço!!! Tudo bem, que não está escrito "Nota de Serviço, Como Fazer" no help, mas uma "lidinha" nos "Section", "Code Set Style" e "Sample Line Group" já resolveria o problema.... acredite!!! ou mais mastigado: o blog do neyton. No início, fiz esse blog pensando no tal adsense do google, mas acabei descobrindo que ele é uma ótima maneira de alimentar calopsitas!!!, nem me pergunte por quê... Quando percebi isso, removi todo aquele lixo daqui, e deixei a página só com o que interessa: informação.

Se você leu os posts do blog, pode ter gostado e ter me mandado um email para tirar uma dúvida e eu espero que você faça isso!!! não vou ensinar TUDO aqui, até porque o help do cad e do civil 3d tem trocentas mil páginas.... aqui eu coloquei apenas o que considero básico para desenvolver alguma coisa....

Se você leu e não gostou, achou que eu escrevi bobagem, e mandou um comentário me detonando, ótimo!!! é de você, meu caro, que eu preciso!!! com sua mensagem eu posso crescer e corrigir os erros... mas se você não postou nada, lamento...

....

Era pra ser um post sobre nota de serviço, então vamos lá, eu recebi um monte de email com uma imagem/pdf/dwg/o escambau, com um desenho parecidíssimo com este:





É a tal nota de serviço que sai do topograph.... Acredito que o cara que programou ele tenha feito dessa maneira por ser mais simples... E acabou que isso se tornou o "padrão" D.E.R.... vai entender... aí o camarada baixa o [mude aqui]software[/mude aqui] e começa a detonar nos forums da vida que ele não faz isso ou não faz aquilo... ou não lê o help do mesmo (tzzzt!!!! ops, apertei o F1 sem querer!!!!)

Bom, voltando a vaca fria, SIM É POSSÍVEL fazer no civil 3d! quer saber como? Leia o post do Cod Set Style pra começar e veja como MUITO CUIDADO esta imagem:



Ela é a chave de tudo....

ah, a imagem :


é do civil 3d!!!

É isso... não se sinta ofendido, não se sinta constrangido em me perguntar algo, mas é que as vezes eu canço de responder a mesma coisa centenas de vezes...

ah, e comente!!! prometo que postarei todas as mensagens, boas ou não, nos comentários

LinkWithin

Related Posts Plugin for WordPress, Blogger...